util.hh File Reference
`#include <roboptim/core/fwd.hh>`
`#include <roboptim/core/portability.hh>`
`#include <roboptim/core/twice-differentiable-function.hh>`
`#include <roboptim/core/util.hxx>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::detail

## Functions

ROBOPTIM_DLLAPI void | roboptim::detail::vector_to_array (Function::value_type *dst, const Function::vector_t &src)
ROBOPTIM_DLLAPI void | roboptim::detail::array_to_vector (Function::vector_t &dst, const Function::value_type *src)
template<typename T >
void | roboptim::detail::jacobian_from_gradients (typename DifferentiableFunction::matrix_t &jac, const std::vector< const T * > &c, const DifferentiableFunction::vector_t &x)
template<typename T >
std::ostream & | roboptim::operator<< (std::ostream &, const std::vector< T > &)
| Display a vector. More...
template<typename T1 , typename T2 >
std::ostream & | roboptim::operator<< (std::ostream &, const std::pair< T1, T2 > &)
| Display a pair. More...
template<typename T >
std::ostream & | roboptim::operator<< (std::ostream &, const Eigen::MatrixBase< T > &)
| Display an Eigen object with the appropriate IOFormat. More...